<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:36 CEST 2019 -->
<title>org.firebirdsql.ds Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.ds Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li><a href="../../../org/firebirdsql/encodings/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/ds/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.ds</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/DataSourceFactory.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">DataSourceFactory</span></a> (implements javax.naming.spi.<a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi">ObjectFactory</a>)</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBPooledConnection.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBPooledConnection</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a>)
<ul>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBXAConnection.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBXAConnection</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XAConnection.html?is-external=true" title="class or interface in javax.sql">XAConnection</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">RootCommonDataSource</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>)
<ul>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBAbstractCommonDataSource</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>)
<ul>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBConnectionPoolDataSource</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a>, javax.naming.<a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a>)</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBXADataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBXADataSource</span></a> (implements javax.naming.<a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a>, javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/XADataSource.html?is-external=true" title="class or interface in javax.sql">XADataSource</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBSimpleDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">FBSimpleDataSource</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>, javax.resource.Referenceable, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/XAConnectionHandler.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">XAConnectionHandler</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li><a href="../../../org/firebirdsql/encodings/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/ds/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
